import java.util.concurrent.Semaphore;

/**
 * This OddNumbers class implements a particular number selection algorithm.
 */
public class OddNumbers extends BasicPlayer {
  /**
   * Initialize a new object by passing the parameters through to the super
   * constructor.
   * @param tickets the Semaphore that hands out seats at the table (tickets)
   * @param board the GameBoard that holds information about the current state
   * of the game (namely, the most recent guess)
   */
  public OddNumbers(Semaphore tickets, GameBoard board) {
    super(tickets, board);
  }
  
  /**
   * Evaluate the guessed number and decide if it's okay according
   * to our algorithm.
   * @param n the number to evaluate
   * @return true if okay, false if not
   */
  public boolean isAcceptable(int n) {
    return (n % 2) != 0;
  }

}
